Package org.apache.sysds.runtime.compress.estim

# Class EstimationFactors

java.lang.Object
org.apache.sysds.runtime.compress.estim.EstimationFactors

public class EstimationFactors extends Object
Compressed Size Estimation factors. Contains meta information used to estimate the compression sizes of given columns into given CompressionFormats

## Constructor Summary

Constructors
Constructor
Description
`EstimationFactors(int numVals, int numRows)`
`EstimationFactors(int numVals, int numRows, double tupleSparsity)`
`EstimationFactors(int numVals, int numRows, int numOffs, double tupleSparsity)`
`EstimationFactors(int numVals, int numOffs, int largestOff, int[] frequencies, int numSingle, int numRows, boolean lossy, boolean zeroIsMostFrequent, double overAllSparsity, double tupleSparsity)`
`EstimationFactors(int numVals, int numOffs, int largestOff, int[] frequencies, int numSingle, int numRows, int numRuns, boolean lossy, boolean zeroIsMostFrequent, double overAllSparsity, double tupleSparsity)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getFrequencies()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EstimationFactors

public EstimationFactors(int numVals, int numRows)

### EstimationFactors

public EstimationFactors(int numVals, int numRows, double tupleSparsity)

### EstimationFactors

public EstimationFactors(int numVals, int numRows, int numOffs, double tupleSparsity)

### EstimationFactors

public EstimationFactors(int numVals, int numOffs, int largestOff, int[] frequencies, int numSingle, int numRows, boolean lossy, boolean zeroIsMostFrequent, double overAllSparsity, double tupleSparsity)

### EstimationFactors

public EstimationFactors(int numVals, int numOffs, int largestOff, int[] frequencies, int numSingle, int numRows, int numRuns, boolean lossy, boolean zeroIsMostFrequent, double overAllSparsity, double tupleSparsity)

## Method Details

### getFrequencies

public int[] getFrequencies()

### toString

public String toString()

Overrides:
  `toString` in class `Object`